## org.eclipse.emf.ecore
Interface EcoreFactory

All Superinterfaces:
  EFactory, EModelElement, EObject, Notifier

All Known Implementing Classes:
  EcoreFactoryImpl

    public interface EcoreFactory

extends EFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `EcorePackage`

Field Summary
`static EcoreFactory` `eINSTANCE` The singleton instance of the factory.

Method Summary
`EAnnotation` `createEAnnotation()` Returns a new object of class 'EAnnotation'
`EAttribute` `createEAttribute()` Returns a new object of class 'EAttribute'
`EClass` `createEClass()` Returns a new object of class 'EClass'
`EDataType` `createEDataType()` Returns a new object of class 'EData Type'
`EEnum` `createEEnum()` Returns a new object of class 'EEnum'
`EEnumLiteral` `createEEnumLiteral()` Returns a new object of class 'EEnum Literal'
`EFactory` `createEFactory()` Returns a new object of class 'EFactory'
`EGenericType` `createEGenericType()` Returns a new object of class 'EGeneric Type'
`EObject` `createEObject()` Returns a new object of class 'EObject'
`EOperation` `createEOperation()` Returns a new object of class 'EOperation'
`EPackage` `createEPackage()` Returns a new object of class 'EPackage'
`EParameter` `createEParameter()` Returns a new object of class 'EParameter'
`EReference` `createEReference()` Returns a new object of class 'EReference'
`ETypeParameter` `createETypeParameter()` Returns a new object of class 'EType Parameter'
`EcorePackage` `getEcorePackage()` Returns the package supported by this factory

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`convertToString, create, createFromString, getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eINSTANCE

    static final EcoreFactory eINSTANCE

  The singleton instance of the factory.

Method Detail

### createEObject

    EObject createEObject()

  Returns a new object of class 'EObject'.

  Returns:
    a new object of class 'EObject'.

### createEAttribute

    EAttribute createEAttribute()

  Returns a new object of class 'EAttribute'.

  Returns:
    a new object of class 'EAttribute'.

### createEAnnotation

    EAnnotation createEAnnotation()

  Returns a new object of class 'EAnnotation'.

  Returns:
    a new object of class 'EAnnotation'.

### createEClass

    EClass createEClass()

  Returns a new object of class 'EClass'.

  Returns:
    a new object of class 'EClass'.

### createEDataType

    EDataType createEDataType()

  Returns a new object of class 'EData Type'.

  Returns:
    a new object of class 'EData Type'.

### createEParameter

    EParameter createEParameter()

  Returns a new object of class 'EParameter'.

  Returns:
    a new object of class 'EParameter'.

### createEOperation

    EOperation createEOperation()

  Returns a new object of class 'EOperation'.

  Returns:
    a new object of class 'EOperation'.

### createEPackage

    EPackage createEPackage()

  Returns a new object of class 'EPackage'.

  Returns:
    a new object of class 'EPackage'.

### createEFactory

    EFactory createEFactory()

  Returns a new object of class 'EFactory'.

  Returns:
    a new object of class 'EFactory'.

### createEEnumLiteral

    EEnumLiteral createEEnumLiteral()

  Returns a new object of class 'EEnum Literal'.

  Returns:
    a new object of class 'EEnum Literal'.

### createEEnum

    EEnum createEEnum()

  Returns a new object of class 'EEnum'.

  Returns:
    a new object of class 'EEnum'.

### createEReference

    EReference createEReference()

  Returns a new object of class 'EReference'.

  Returns:
    a new object of class 'EReference'.

### createEGenericType

    EGenericType createEGenericType()

  Returns a new object of class 'EGeneric Type'.

  Returns:
    a new object of class 'EGeneric Type'.

### createETypeParameter

    ETypeParameter createETypeParameter()

  Returns a new object of class 'EType Parameter'.

  Returns:
    a new object of class 'EType Parameter'.

### getEcorePackage

    EcorePackage getEcorePackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.